Summary: An emulator for 3Com/USRobotics Pilot/PalmPilot/PalmIII.
Name: xcopilot
Version: 0.6.6
Release: 8
Copyright: freeware
URL: http://xcopilot.cuspy.com
Source: http://xcopilot.cuspy.com/build/%{name}-%{version}.tar.gz
Source1: xcopilot.desktop
Group: Applications/Communications
BuildRoot: %{_tmppath}/%{name}-root/
Prefix: %{_prefix}

%description
XCopilot is a 3Com/USRobotics Pilot/PalmPilot/PalmIII hardware
emulator for the X Window System.

%prep
%setup -q -n %{name}-%{version}

%build
%configure
make 

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p ${RPM_BUILD_ROOT}/usr/{bin,lib}
%makeinstall

mkdir -p $RPM_BUILD_ROOT/usr/X11R6/include/X11/bitmaps
install -m 644 icon.xpm $RPM_BUILD_ROOT/usr/X11R6/include/X11/bitmaps/xcopilot.xpm
install -m 644 icon2.xpm $RPM_BUILD_ROOT/usr/X11R6/include/X11/bitmaps/xcopilot2.xpm

install -d $RPM_BUILD_ROOT/etc/X11/applnk/Applications/ 
install -m 644 $RPM_SOURCE_DIR/xcopilot.desktop $RPM_BUILD_ROOT/etc/X11/applnk/Applications/ 

%clean
if [ ! ${RPM_BUILD_ROOT} = / ]; then
  rm -rf ${RPM_BUILD_ROOT} ;
fi

%files
%defattr(-,root,root)
%doc README
%{_bindir}/xcopilot
%{_prefix}/X11R6/include/X11/bitmaps/*
%config /etc/X11/applnk/Applications/xcopilot.desktop

%changelog
* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Thu Jul 13 2000 Than Ngo <than@redhat.de>
- rebuilt

* Thu Jun 15 2000 Than Ngo <than@redhat.de>
- rebuilt for 7.0
- clean up specfile

* Mon Jul 26 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Mon Apr 13 1999 Michael Maher <mike@redhat.com>
- built package for 6.0

* Thu Sep 17 1998 Michael Maher <mike@redhat.com>
- updated package

* Tue Jul 28 1998 Michael Maher <mike@redhat.com>
- updated source to 6.4
- built package on all archs for powertools. 
- added wmconfig

* Sat Jun 13 1998 <djb@redhat.com>
- updated to 0.6.2

* Tue Mar 03 1998 Donnie Barnes <djb@redhat.com>
- made package relocatable
- added %attr so that users can rebuild without being root

* Tue Feb 17 1998 Donald Barnes <djb@redhat.com>
- new package
